#!/usr/bin/make

CC = gcc

LIBNOVAS = /usr/local/lib/libnovas.a
LIBXPA = /opt/lib/libxpa.a

CFLAGS = -O2 -Wall
CFLAGS += -DVERBOSE_MODE
CFLAGS += -DDEBUG_MODE
#CFLAGS += -DDEMO_MODE
#CFLAGS += -DNODAEMON
# Use ds9 as display:
CFLAGS += -DUSE_XPA -I/opt/include
# For some bugs in ISA NI card:
CFLAGS += -DNI_NAT4882_ISA
#CFLAGS += -DSEND_DATA_ATOMIC
CFLAGS += -I/usr/src/linux/include -I$(HPATH) -I/usr/local/include -I$(TOPDIR)

#ersion.h: VERSION
#	echo "#define VERSION \"${VERSION}\"" >version.h


.c.o:
	gcc $(CFLAGS) -c $< -o $@

clean:
	rm -f *.o .depend core $(PROG) $(SPROG)

cleanb: clean
	rm -f *~

dep:
	rm -f .depend
	make .depend

depend .depend:
	$(CC) $(CFLAGS) -M *.c > $@



ifeq (.depend,$(wildcard .depend))
include .depend
endif

