/** 
 *   Camera Control for STAR I.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _ANG_TOOLS_H
#define _ANG_TOOLS_H

#define _DEG2RAD .017453292519943295769236907685

double mod24(double x);
double strdeg2double(char *str);
int double2gms_us(double x, int *g, int *m, int *s, int *us);
int double2gms(double x, int *g, int *m, int *s);
char * double2gms_str(char *gms, double x);

#endif /* _ANG_TOOLS_H */

